Genes Pathways
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes/pathwaysimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes/pathways"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes/pathways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"source_url": "<string>",
"orgnism": "<string>",
"gene": "<string>",
"pathway": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Genes Pathways
Retrieve pathways from genes.
Set verbose = true to retrieve full info on the pathways and genes.
At least one of these fields is required: gene_id, hgnc_id, gene_name, alias.
Example: gene_id = ENSG00000183840,
hgnc_id = HGNC:4496,
gene_name = GPR39,
alias = ZnR.
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Genes Pathways
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes/pathwaysimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes/pathways"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes/pathways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"source_url": "<string>",
"orgnism": "<string>",
"gene": "<string>",
"pathway": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Homo sapiens Available options:
true, false